## kalarm 25.08.1+p24.04+vstable+git20251003.1209

=== debian/changelog ===
kalarm (4:25.08.1+p24.04+vstable+git20251003.1209-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 03 Oct 2025 12:09:36 +0000
