## kalarm 25.08.2+p24.04+vstable+git20251016.0805

=== debian/changelog ===
kalarm (4:25.08.2+p24.04+vstable+git20251016.0805-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 16 Oct 2025 08:05:43 +0000

kalarm (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 04:21:19 +0000
