## kalarm 25.08.2+p24.04+vstable+git20251019.0841

=== debian/changelog ===
kalarm (4:25.08.2+p24.04+vstable+git20251019.0841-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 08:41:11 +0000
