## kalarm 25.08.2+p24.04+vstable+git20251030.0029

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.2")
+set(PIM_VERSION "6.5.3")
 set(PIM_VERSION ${PIM_VERSION})
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "08")
@@ -59,18 +59,18 @@
 
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
-set(AKONADI_VERSION "6.5.2")
-set(AKONADI_MIMELIB_VERSION "6.5.2")
-set(AKONADI_CONTACT_VERSION "6.5.2")
-set(KMAILTRANSPORT_LIB_VERSION "6.5.2")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.2")
-set(KMIME_LIB_VERSION "6.5.2")
+set(AKONADI_VERSION "6.5.3")
+set(AKONADI_MIMELIB_VERSION "6.5.3")
+set(AKONADI_CONTACT_VERSION "6.5.3")
+set(KMAILTRANSPORT_LIB_VERSION "6.5.3")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.3")
+set(KMIME_LIB_VERSION "6.5.3")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
 
 find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED DBus Gui Network Widgets)
-set(CALENDARUTILS_LIB_VERSION "6.5.2")
+set(CALENDARUTILS_LIB_VERSION "6.5.3")
 
 
 option(ENABLE_AKONADI_PLUGIN "Build the Akonadi plugin" ON)
