=== debian/changelog ===
kalarm (4:25.08.2+p24.04+vstable+git20251030.0029-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 30 Oct 2025 00:29:15 +0000
