=== debian/changelog ===
kalarm (4:25.08.2+p24.04+vunstable+git20251013.1156-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 13 Oct 2025 11:56:31 +0000
