## kalarm 25.08.2+p24.04+vunstable+git20251015.2021

=== CMakeLists.txt ===
--- 
+++ 
@@ -191,7 +191,7 @@
 
 add_definitions(-DQT_MESSAGELOGCONTEXT)
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.8.1  KF 6.18.0)
+ecm_set_disabled_deprecation_versions(QT 6.8.1  KF 6.19.0)
 
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)
