## kalarm 25.08.2+p24.04+vunstable+git20251020.0721

=== debian/changelog ===
kalarm (4:25.08.2+p24.04+vunstable+git20251020.0721-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 07:21:44 +0000
